using System;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using SwivelSecure.PINsafe;

public partial class Login : Page
{
	private PINsafeClient client;

    protected void Page_Load(object sender, EventArgs e)
    {
    	PINsafeSettings settings = new PINsafeSettings();
    	client = new PINsafeClient(settings);
    }

	protected void Login1_Authenticate(object sender, AuthenticateEventArgs e)
	{
		e.Authenticated = client.Login(Login1.UserName, "", Login1.Password);
		if (e.Authenticated)
		{
			FormsAuthentication.SetAuthCookie(Login1.UserName, false);
			Response.Redirect(Request["ReturnUrl"]);
		}
	}
}
